GNU bug report logs - #26955
macroexpand: documentation and actual behavior differ

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Reported by: isaac lewis <isaac.b.lewis@HIDDEN>; dated Tue, 16 May 2017 15:12:03 UTC; Maintainer for guile is bug-guile@HIDDEN.

Message received at 26955 <at> debbugs.gnu.org:


Received: (at 26955) by debbugs.gnu.org; 24 May 2017 06:01:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 02:01:25 2017
Received: from localhost ([127.0.0.1]:35409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDPML-0005D2-4j
	for submit <at> debbugs.gnu.org; Wed, 24 May 2017 02:01:25 -0400
Received: from mail-oi0-f52.google.com ([209.85.218.52]:35149)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <isaac.b.lewis@HIDDEN>) id 1dDPMJ-0005Cp-7R
 for 26955 <at> debbugs.gnu.org; Wed, 24 May 2017 02:01:23 -0400
Received: by mail-oi0-f52.google.com with SMTP id l18so228851126oig.2
 for <26955 <at> debbugs.gnu.org>; Tue, 23 May 2017 23:01:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=6BMotxMA0kDmAkLKufyhoW8+baspTyYKZRtAW0yn2as=;
 b=OCVzjNvISdDxp0uHFALR7nMqAV/rQuQLid8CDVT4qxo7hvdnuvkcuBfUEm1sz9bQKN
 v3GKkO+VURCo+dsNyrMCt9/AqYwukCJ1QI06TLulflBebjoLEJ340LDKLCDxTRBCxrZ0
 SuWZJyKU9wpwZd3mrpYgHuggtACOA8PzuAwJzDNW+9MxGZnlpS/cbTYhDHxe9RE0ARb8
 mInJUYjfEYxsYTmqjGkHC94gcW4kLHgFTtHGOAK9rSSJY/nf1R3ImVJ+0+uOWA6LAuQJ
 QYcULxzIklOquAQZysFhRJFla5VMzYVSd9/CPeK5iL6KvesB3V7Jk2cHrEVeb8NH14nE
 /mvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=6BMotxMA0kDmAkLKufyhoW8+baspTyYKZRtAW0yn2as=;
 b=Q1eyH2NrUTfoL+IXNciCm4LXlZpQ+ovH7HyAZXklURJmIpdTa2RBrD+JNAv+YfT5Dg
 R165zjEiU1EAw8r/7gGpyZiK5jzY/8QNfqldiLoeO5jQ5aP3ADdLR5Ee+Cuzi+QfQzh6
 pdI3PLh2WCdi6rHbYzzsN+Vl8uV1adyc9rXrgGeoYk5weaYZ89dTBztuffVhq/elFyid
 cGFqDX0TSRE8Z1smpeNXP6aIwJYBaNtQO3cuNU0/q5fX48N3sdrMJ7n1LeanXxQ+B9qY
 8jSO+HPefLcdh6WSZibQnOybSfw2dRiHVfASJGEnuD1ODgA7bj78KzRvrVn6IyO1hUU3
 d5Rw==
X-Gm-Message-State: AODbwcBDXG1afmzWdbDpAc/WOfKEWKimRIM3SWPFzmJ+Z1qsET44lviR
 B7M8rDk4MLZfYr5DQRm+ChWkTTRudQ==
X-Received: by 10.157.14.46 with SMTP id c43mr3782081otc.200.1495605677344;
 Tue, 23 May 2017 23:01:17 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.182.159.98 with HTTP; Tue, 23 May 2017 23:01:16 -0700 (PDT)
From: isaac lewis <isaac.b.lewis@HIDDEN>
Date: Wed, 24 May 2017 02:01:16 -0400
Message-ID: <CA+a_5cgLJ7eKV5Hqx4aiQ+-DhfqUqZwvxEc80sx1eJFFgEfp3w@HIDDEN>
Subject: 
To: 26955 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  This bug appears to have been fixed in version 2.2. [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [209.85.218.52 listed in dnsbl.sorbs.net]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (isaac.b.lewis[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.218.52 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 26955
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  This bug appears to have been fixed in version 2.2. [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [209.85.218.52 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.52 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (isaac.b.lewis[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  2.0 BLANK_SUBJECT          Subject is present but empty

This bug appears to have been fixed in version 2.2.




Information forwarded to bug-guile@HIDDEN:
bug#26955; Package guile. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 May 2017 15:11:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 16 11:11:34 2017
Received: from localhost ([127.0.0.1]:48921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dAe8M-0000nj-MT
	for submit <at> debbugs.gnu.org; Tue, 16 May 2017 11:11:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <isaac.b.lewis@HIDDEN>) id 1dAY9W-0006mT-4k
 for submit <at> debbugs.gnu.org; Tue, 16 May 2017 04:48:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <isaac.b.lewis@HIDDEN>) id 1dAY9P-0003B4-TC
 for submit <at> debbugs.gnu.org; Tue, 16 May 2017 04:48:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42323)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <isaac.b.lewis@HIDDEN>)
 id 1dAY9P-0003Al-Qf
 for submit <at> debbugs.gnu.org; Tue, 16 May 2017 04:48:15 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36647)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <isaac.b.lewis@HIDDEN>) id 1dAY9O-0005wz-SG
 for bug-guile@HIDDEN; Tue, 16 May 2017 04:48:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <isaac.b.lewis@HIDDEN>) id 1dAY9O-00038G-Af
 for bug-guile@HIDDEN; Tue, 16 May 2017 04:48:14 -0400
Received: from mail-oi0-x22d.google.com ([2607:f8b0:4003:c06::22d]:36840)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <isaac.b.lewis@HIDDEN>)
 id 1dAY9O-00037W-4B
 for bug-guile@HIDDEN; Tue, 16 May 2017 04:48:14 -0400
Received: by mail-oi0-x22d.google.com with SMTP id h4so16809456oib.3
 for <bug-guile@HIDDEN>; Tue, 16 May 2017 01:48:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=BUD+5dtxPAwadsgGhWLr/NwCUVQggKmAAJSOgQEonxY=;
 b=Fkfp3BOwFsaF0Krzh85ss3FIV8vinVLK61hKzV92wT2voRHRmUn/JFo0WpFXEHxWQL
 vjrhNtb3JVa7+eDC6sWwmIR4utd/LtWJ+yyJoCBLoftrjjiG+GkEip9keyS3oE1E/FSf
 44XOZTEWIFSkIcze68TcELSk2EY93siMp5LUc/s29K430TnhCRpQDKI5stCVoJ2LZZx9
 gdb/AtznuHkXlvwaVklk2FkkXBfx8kSlN9lbLeOeWUbK5Vvurpoe2tGfnISx9AcSeFgo
 muA6v7EXZkKTt55GN72oju9VNt36UAdPju6KiTJq1B2Xjp8LuoRMjW3DeY3mXMh24E4o
 4oow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=BUD+5dtxPAwadsgGhWLr/NwCUVQggKmAAJSOgQEonxY=;
 b=K393BihdFcfb2oxm2z0AJ9URk3fN9dx7lfUA37URenusPEup/vZZ/BOqsX+2PGsRxK
 wVIrx/AsjCLOkCuy+XsupIlbpWybcZFsJz3prVEXVBo17VMFAWQ91kz5L4RjthGS8EDW
 nqS7pXWLYKAHKFugbeUslaL4L+QSL+pmvXBZslX/YPE8W795eN7maDhpuP3D+0SxwTb9
 BNCNiXGA8dVcmJk/VL04QwDO4K3SkLB5IArdym8YrpCKFutZ6Lyp5CN0D8fDS4nJy6E6
 0wBgrygcRqtEEajDC0EmgviIhWuVxAAtEJ9HEQ3SsJuL7UAjadaZFwdg2Lq89fS42LAl
 Q6cQ==
X-Gm-Message-State: AODbwcADLW9h/FpcH2/je2st1cQFyDtq6YjedMS8LeKBqSuiCwP9G8CS
 tySWZjbMz2KXVkHQl6sS5/aXoCrJPg==
X-Received: by 10.202.242.84 with SMTP id q81mr1287818oih.47.1494924493044;
 Tue, 16 May 2017 01:48:13 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.182.159.98 with HTTP; Tue, 16 May 2017 01:48:12 -0700 (PDT)
From: isaac lewis <isaac.b.lewis@HIDDEN>
Date: Tue, 16 May 2017 04:48:12 -0400
Message-ID: <CA+a_5chfsZPkFu=vZDUd+x_Jn_CJPq5LL_Ly5s-VVMgiRdio6Q@HIDDEN>
Subject: macroexpand: documentation and actual behavior differ
To: bug-guile@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 16 May 2017 11:11:33 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Guile version: 2.0.11
Machine type: x86_64-unknown-linux-gnu

===
Bug
===

The first 3 examples given in the documentation for 'macroexpand' in
section 9.4.2 do not expand to the printed results; for example

        (macroexpand '(+ 1 2)) yields
        =>
        #<tree-il (apply (toplevel +) (const 1) (const 2))>

instead of

        '(+ 1 2)

Moreover, the optional 'm' argument (see psyntax.scm: 2567) seems to
have no influence;

        (equal? (macroexpand '(+ 1 2)) (macroexpand '(+ 1 2) 'e)
(macroexpand '(+ 1 2) 'c))
         =>
         #t

Sincerely,
Ikester




Acknowledgement sent to isaac lewis <isaac.b.lewis@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#26955; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.